Ubuntu 10.04: install.sh error -- postgresql

I’m using the latest GPL version of the Virtualmin install.sh script – dated Jun 22 2010 – to install Virtualmin on a brand new, fresh server instance at Rackspace, running Ubuntu Server 10.04 LTS x64.

Everything seemed to go well for the first few minutes, but eventually the whole thing blew up – threw a Fatal error:

dpkg: dependency problems prevent configuration of virtualmin-base: virtualmin-base depends on postgresql; however: Package postgresql is not configured yet. dpkg: error processing virtualmin-base (--configure): dependency problems - leaving unconfigured Processing triggers for python-support ... Processing triggers for libc-bin ... ldconfig deferred processing now taking place Errors were encountered while processing: postgresql-8.4 postgresql virtualmin-base FATAL - 2010-06-22 23:51:40 - Fatal Error Occurred: Installation failed: 0 FATAL - 2010-06-22 23:51:40 - Cannot continue installation. FATAL - 2010-06-22 23:51:40 - Attempting to remove virtualmin repository configuration, so the installation can be FATAL - 2010-06-22 23:51:40 - re-attempted after any problems have been resolved. FATAL - 2010-06-22 23:51:40 - Removing temporary directory and files. FATAL - 2010-06-22 23:51:40 - If you are unsure of what went wrong, you may wish to review the log FATAL - 2010-06-22 23:51:40 - in /root/virtualmin-install.log

I’ve also attached the entire Log file.

I’m going to just wipe the whole server and start fresh, then try installing and config’ing PostgreSQL first; if that doesn’t work I’m not sure what to do next!

So when are you getting that error, is that coming up while running the install.sh script?

-Eric

The same problem on the same system!

INFO - /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install virtualmin-base ...in progress, please wait... .E: Couldn't find package virtualmin-base

Apt no see any packs with virtualmin ?

=============================

Sorry not the same problem!

Installs on Ubuntu 10.04 LTS amd64 on Dell PE1425 server using the script install.sh

In my case ubuntu 10.04 not see package virtualmin-base:

cat /root/virtualmin-install.log

INFO - 2010-07-06 23:30:54 - Started installation log in /root/virtualmin-install.log
DEBUG - 2010-07-06 23:30:54 - Install mode: full
DEBUG - 2010-07-06 23:30:54 - Product: Virtualmin GPL
DEBUG - 2010-07-06 23:30:54 - Virtualmin Meta-Package list: virtualmin-base
DEBUG - 2010-07-06 23:30:54 - install.sh version: 1.0.4
INFO - 2010-07-06 23:30:54 - Checking for fully qualified hostname…
INFO - 2010-07-06 23:30:54 - Hostname OK: fully qualified as web2b.cmss.pl
INFO - 2010-07-06 23:30:54 - Installing serial number and license key into /etc/virtualmin-license
INFO - 2010-07-06 23:30:54 - Loading OS selection library…
INFO - 2010-07-06 23:30:58 - Download of http://software.virtualmin.com/lib/oschooser.pl Succeeded.
INFO - 2010-07-06 23:30:58 - Loading OS list…
INFO - 2010-07-06 23:31:03 - Download of http://software.virtualmin.com/lib/os_list.txt Succeeded.
INFO - 2010-07-06 23:31:03 - Operating system name: Ubuntu Linux
INFO - 2010-07-06 23:31:03 - Operating system version: 9.10
INFO - 2010-07-06 23:31:03 - Configuring package manager for Ubuntu Linux 9.10…
INFO - 2010-07-06 23:31:03 - Enabling universe repositories, if not already available…
INFO - 2010-07-06 23:31:03 - Disabling cdrom repositories…
INFO - 2010-07-06 23:31:20 - Cleaning up apt headers and packages, so we can start fresh…
INFO - 2010-07-06 23:31:20 -
INFO - 2010-07-06 23:31:23 - Download of http://software.virtualmin.com/lib/apt.conf.noninteractive Succeeded.
INFO - 2010-07-06 23:31:23 - Installing Webmin and Virtualmin package signing keys…
INFO - 2010-07-06 23:31:27 - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-virtualmin Succeeded.
INFO - 2010-07-06 23:31:30 - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-webmin Succeeded.
INFO - 2010-07-06 23:31:30 - OK
INFO - 2010-07-06 23:31:30 - OK
INFO - 2010-07-06 23:31:47 - Hit
INFO - 2010-07-06 23:31:47 - Removing Debian standard Webmin package, if they exist (because they’re broken)…
INFO - 2010-07-06 23:31:47 - Removing Debian apache packages…
DEBUG - 2010-07-06 23:31:48 - Reading
INFO - 2010-07-06 23:31:48 - Installing dependencies using command: /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-pcre ruby libapache2-mod-ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip quota
Reading package lists…
Building dependency tree…
Reading state information…
postfix is already the newest version.
postfix-pcre is already the newest version.
ruby is already the newest version.
libapache2-mod-ruby is already the newest version.
libxml-simple-perl is already the newest version.
libcrypt-ssleay-perl is already the newest version.
unzip is already the newest version.
zip is already the newest version.
quota is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
INFO - 2010-07-06 23:31:49 - /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-pcre ruby libapache2-mod-ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip quota: Succeeded.
INFO - 2010-07-06 23:31:49 - Succeeded.
INFO - 2010-07-06 23:31:49 - Installing Virtualmin and all related packages now using the command:
INFO - 2010-07-06 23:31:50 - /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install virtualmin-base
Reading package lists…
Building dependency tree…
Reading state information…
FATAL - 2010-07-06 23:31:51 - Fatal Error Occurred: Installation failed: 0
FATAL - 2010-07-06 23:31:51 - Cannot continue installation.
FATAL - 2010-07-06 23:31:51 - Attempting to remove virtualmin repository configuration, so the installation can be
FATAL - 2010-07-06 23:31:51 - re-attempted after any problems have been resolved.
FATAL - 2010-07-06 23:31:51 - Removing temporary directory and files.
FATAL - 2010-07-06 23:31:51 - If you are unsure of what went wrong, you may wish to review the log
FATAL - 2010-07-06 23:31:51 - in /root/virtualmin-install.log